package com.zd.laboratory.domain.vo;

import com.zd.common.core.enums.RiskHardwareTypeEnum;
import com.zd.laboratory.domain.LabControl;
import com.zd.laboratory.domain.LabSecuritySubjectmaterial;
import com.zd.laboratory.domain.LabSubject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;


@ApiModel("实验室和准入模板关系")
public class LabSecuritySubjectmaterialVO extends LabSecuritySubjectmaterial {

    public Long ischeck;//是否启用

    public  String materialName;//模板名称

    public String materialDescribe;//描述

    private List<LabSubject> labSubjectList;//实验室

    private List<LabSecuritySubjectmaterial> teacherList;//教职工模板

    private List<LabSecuritySubjectmaterial> studentList;//教职工模板

    private List<LabSecuritySubjectmaterial> publicList;//通用模板

    public Long getIscheck() {        return ischeck;    }

    public void setIscheck(Long ischeck) {        this.ischeck = ischeck;    }


    public String getMaterialName() {        return materialName;    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialDescribe() {        return materialDescribe;    }

    public void setMaterialDescribe(String materialDescribe) {        this.materialDescribe = materialDescribe;    }

    public List<LabSubject> getLabSubjectList() {
        return labSubjectList;
    }

    public void setLabSubjectList(List<LabSubject> labSubjectList) {
        this.labSubjectList = labSubjectList;
    }

    public List<LabSecuritySubjectmaterial> getTeacherList() {
        return teacherList;
    }

    public void setTeacherList(List<LabSecuritySubjectmaterial> teacherList) {
        this.teacherList = teacherList;
    }
    public List<LabSecuritySubjectmaterial> getStudentList() {
        return studentList;
    }

    public void setStudentList(List<LabSecuritySubjectmaterial> studentList) {
        this.studentList = studentList;
    }

    public List<LabSecuritySubjectmaterial> getPublicList() {
        return publicList;
    }

    public void setPublicList(List<LabSecuritySubjectmaterial> publicList) {
        this.publicList = publicList;
    }
}
